CVE-2002-1764
CVSS2.1
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:31:27
NMCO    

[原文]acroread in Adobe Acrobat Reader 4.05 on Linux allows local users to overwrite arbitrary files via a symlink attack on temporary files.


[CNNVD]Adobe Acrobat Reader以不安全方式创建临时文件漏洞(CNNVD-200212-570)

        
        Adobe Acroread是一款由ADOBE公司分发的PDF文件格式阅读软件。
        Adobe Acroread在建立临时文件时没有对文件是否存在进行检查,本地攻击者可以利用此漏洞进行符号连接攻击。
        当Adobe Acroread打开或者打印PDF文档时会在/tmp目录下建立临时文件,不过建立文件时没有对文件是否存在进行判断,而且建立文件名可预测,攻击者可以建立符号连接连接到任意系统文件,到执行Adobe Acroread时就可以导致以执行用户的权限覆盖符号连接指向的系统文件,造成拒绝服务攻击或者权限提升。
        以下的系统调用将建立产生临时文件:
         stat("/tmp/Acro48IBR1", 0xbfffe958) = -1 ENOENT (No such file or
         directory)
         open("/tmp/Acro48IBR1", O_RDWR|O_CREAT|O_TRUNC, 0666) = 5
         ...
         ...
         unlink("/tmp/Acro48IBR1") = 0
        

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1764
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1764
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-570
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/9407
(PATCH)  XF  adobe-acrobat-tmpfile-symlink(9407)
http://www.securityfocus.com/bid/5068
(PATCH)  BID  5068

- 漏洞信息

Adobe Acrobat Reader以不安全方式创建临时文件漏洞
低危 访问验证错误
2002-12-31 00:00:00 2005-10-20 00:00:00
本地  
        
        Adobe Acroread是一款由ADOBE公司分发的PDF文件格式阅读软件。
        Adobe Acroread在建立临时文件时没有对文件是否存在进行检查,本地攻击者可以利用此漏洞进行符号连接攻击。
        当Adobe Acroread打开或者打印PDF文档时会在/tmp目录下建立临时文件,不过建立文件时没有对文件是否存在进行判断,而且建立文件名可预测,攻击者可以建立符号连接连接到任意系统文件,到执行Adobe Acroread时就可以导致以执行用户的权限覆盖符号连接指向的系统文件,造成拒绝服务攻击或者权限提升。
        以下的系统调用将建立产生临时文件:
         stat("/tmp/Acro48IBR1", 0xbfffe958) = -1 ENOENT (No such file or
         directory)
         open("/tmp/Acro48IBR1", O_RDWR|O_CREAT|O_TRUNC, 0666) = 5
         ...
         ...
         unlink("/tmp/Acro48IBR1") = 0
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时没有合适的临时解决方法。
        厂商补丁:
        Adobe
        -----
        请使用Adobe Acroread 5.05版本:
        
        http://www.adobe.com

- 漏洞信息

58971
Adobe Acrobat Reader on Linux acroread Unspecified Temporary File Symlink Arbitrary File Overwrite
Local Access Required Input Manipulation, Race Condition
Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2002-06-20 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 5.0.5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站